Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040223
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-02-15 13:492019-03-04 15:28
ReporteraaroncaleroView Statuspublic 
Assigned Torqueralta 
PriorityhighResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision56dfd5b6b6ed
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040223: The HasServices process can return wrong information if a service has no price defined

DescriptionWhen a product is added to a ticket in WebPOS in remote mode, the HasServices process is called to check if said product has related services (in non-remote mode websql queries are used).

In the process, there is a where clause[1] that expects the product to have a price defined and to be active. These clauses will always be true, since the product has been added to a ticket in WebPOS.

Although the active clause already exists for the services in another line in the query, the price clause is not checked for the services, which can cause the query to return more results that it should.


[1] https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/file/tip/src/org/openbravo/retail/posterminal/process/HasServices.java#l112 [^]
Steps To ReproduceLogin in backend.
Go to the Preference window and enable the Remote For Products preference
Go to the Product window, find the Customize Pants service and remove its price.

Login in web pos.
Add the product Pants
Verify that the Mandatory Services search is shown, but the services list is empty.
Click on Continue
Click on the Services icon on the Pants line and verify again that no services are shown on the product search.
Proposed SolutionThe clause that is causing this error[1] should be changed to filter services that have no price, instead of filtering the product.

[1] https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/file/tip/src/org/openbravo/retail/posterminal/process/HasServices.java#l112 [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0110041)
hgbot (developer)
2019-02-24 14:03

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 56dfd5b6b6ed93cd1ad33921bd87b95c81643e80
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Thu Feb 21 15:35:40 2019 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/56dfd5b6b6ed93cd1ad33921bd87b95c81643e80 [^]

Fixed issue 40223: The HasServices process can return wrong information if a
service has no price defined

- The HQL where clause was changed to filter services without price

---
M src/org/openbravo/retail/posterminal/process/HasServices.java
---
(0110069)
hgbot (developer)
2019-02-25 15:41

Repository: tools/automation/pi-mobile
Changeset: fa361dc75e2b5ebb21df09f4aaecbd3576220e11
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Thu Feb 21 11:18:31 2019 -0500
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/fa361dc75e2b5ebb21df09f4aaecbd3576220e11 [^]

Related to issue 40223: added automated test

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/services/I40223_VerifyServicesWithNoPrices.java
---
(0110198)
hgbot (developer)
2019-03-04 15:28

Repository: tools/automation/pi-mobile
Changeset: 482b02d22ef943324acc7c1d9828a45bb219b508
Author: Alejandro <alekosmp86 <at> gmail.com>
Date: Fri Mar 01 10:45:36 2019 -0500
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/482b02d22ef943324acc7c1d9828a45bb219b508 [^]

Related to issue 40223: test has been refactored to properly test the issue's fix

---
M src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/services/I40223_VerifyServicesWithNoPrices.java
---

- Issue History
Date Modified Username Field Change
2019-02-15 13:49 aaroncalero New Issue
2019-02-15 13:49 aaroncalero Assigned To => Retail
2019-02-15 13:49 aaroncalero Triggers an Emergency Pack => No
2019-02-16 04:13 rqueralta Assigned To Retail => rqueralta
2019-02-16 04:14 rqueralta Status new => scheduled
2019-02-24 14:03 hgbot Checkin
2019-02-24 14:03 hgbot Note Added: 0110041
2019-02-24 14:03 hgbot Status scheduled => resolved
2019-02-24 14:03 hgbot Resolution open => fixed
2019-02-24 14:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/56dfd5b6b6ed93cd1ad33921bd87b95c81643e80 [^]
2019-02-25 15:41 hgbot Checkin
2019-02-25 15:41 hgbot Note Added: 0110069
2019-03-01 09:30 marvintm Review Assigned To => marvintm
2019-03-01 09:30 marvintm Status resolved => closed
2019-03-01 09:30 marvintm Fixed in Version => RR19Q2
2019-03-04 15:28 hgbot Checkin
2019-03-04 15:28 hgbot Note Added: 0110198


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker